| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::Segment Class Reference

`#include <OgreSegment.h>`

## Public Member Functions
| Segment ()
| Segment (const Vector3 &, const Vector3 &, Real)
Real | distance (const Segment &otherSegment) const
bool | intersects (const Capsule &) const
void | set (const Vector3 &newOrigin, const Vector3 &newEnd)
void | setEndPoint (const Vector3 &newEndpoint)
void | setOrigin (const Vector3 &newOrigin)
Real | squaredDistance (const Segment &otherSegment) const

## Public Attributes
Vector3 | mDirection
Real | mExtent
Vector3 | mOrigin

## Constructor & Destructor Documentation

## ◆ Segment() [1/2]

Ogre::Segment::Segment | ( |  | ) |

## ◆ Segment() [2/2]

Ogre::Segment::Segment | ( | const Vector3 & | ,
|  | const Vector3 & | ,
|  | Real |
| ) |  |

## Member Function Documentation

## ◆ set()

void Ogre::Segment::set | ( | const Vector3 & | newOrigin,
|  | const Vector3 & | newEnd
| ) |  |

## ◆ setOrigin()

void Ogre::Segment::setOrigin | ( | const Vector3 & | newOrigin | ) |

## ◆ setEndPoint()

void Ogre::Segment::setEndPoint | ( | const Vector3 & | newEndpoint | ) |

## ◆ distance()

Real Ogre::Segment::distance | ( | const Segment & | otherSegment | ) | const

## ◆ squaredDistance()

Real Ogre::Segment::squaredDistance | ( | const Segment & | otherSegment | ) | const

## ◆ intersects()

bool Ogre::Segment::intersects | ( | const Capsule & |  | ) | const

## Member Data Documentation

## ◆ mOrigin

Vector3 Ogre::Segment::mOrigin

## ◆ mDirection

Vector3 Ogre::Segment::mDirection

## ◆ mExtent

Real Ogre::Segment::mExtent

The documentation for this class was generated from the following file:

- OgreSegment.h